<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/System/include/System/SoftwareInfoSender.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_5c34f9d308a00f77f2da80e40fcb7b22.html">System</a></li><li class="navelem"><a class="el" href="dir_76128cd39a5afd90f6d9deea527eb79c.html">include</a></li><li class="navelem"><a class="el" href="dir_03b67ee1b6ab353c932baaa9d86e354a.html">System</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SoftwareInfoSender.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_software_info_sender_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SYSTEM_INCLUDE_SYSTEM_SOFTWAREINFOSENDER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SYSTEM_INCLUDE_SYSTEM_SOFTWAREINFOSENDER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;cstdint&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;future&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_connection_manager_8h.html">ACL/AVSConnectionManager.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_agent_8h.html">AVSCommon/AVS/CapabilityAgent.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_connection_manager_interface_8h.html">AVSCommon/SDKInterfaces/AVSConnectionManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_exception_encountered_sender_interface_8h.html">AVSCommon/SDKInterfaces/ExceptionEncounteredSenderInterface.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_sender_interface_8h.html">AVSCommon/SDKInterfaces/MessageSenderInterface.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_software_info_sender_observer_interface_8h.html">AVSCommon/SDKInterfaces/SoftwareInfoSenderObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">namespace </span>system {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">class </span>SoftwareInfoSendRequest;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html">   44</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html">SoftwareInfoSender</a></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">avsCommon::avs::CapabilityAgent</a></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        , <span class="keyword">public</span> std::enable_shared_from_this&lt;SoftwareInfoSender&gt;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_software_info_sender_observer_interface.html">avsCommon::sdkInterfaces::SoftwareInfoSenderObserverInterface</a> {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;SoftwareInfoSender&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#ad4ce9189b8b155a6223a7e6b673ffa80">create</a>(</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info.html#af7c2b6a74bbdcaa7ff513eb8586ad0a8">avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion</a> firmwareVersion,</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordtype">bool</span> sendSoftwareInfoUponConnect,</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SoftwareInfoSenderObserverInterface&gt; observer,</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::AVSConnectionManagerInterface&gt; connection,</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#ab5918e26df0be0bbd7ebb5d93312dfaf">setFirmwareVersion</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info.html#af7c2b6a74bbdcaa7ff513eb8586ad0a8">avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion</a> firmwareVersion);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a2544e548ecdc780837d71b39080ac247">getConfiguration</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#aeae3f6381f10e7dacca9e5190d3b2850">handleDirectiveImmediately</a>(std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt; directive) <span class="keyword">override</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a50a8ae824fa12aff4e53e372bc2b1076">preHandleDirective</a>(std::shared_ptr&lt;avsCommon::avs::CapabilityAgent::DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a06b29cb529cf8a4f333b4561e381399f">handleDirective</a>(std::shared_ptr&lt;avsCommon::avs::CapabilityAgent::DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a6f3994b9347db8ac4d53128acb61b89c">cancelDirective</a>(std::shared_ptr&lt;avsCommon::avs::CapabilityAgent::DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a03f59237a5112d5e2eb6b221362fc351">doShutdown</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a309766ef76a83740702505fd5c5e1200">onConnectionStatusChanged</a>(</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a> status,</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason</a> reason) <span class="keyword">override</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a74dedf9cf175c33648e8afa48d802b61">onFirmwareVersionAccepted</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info.html#af7c2b6a74bbdcaa7ff513eb8586ad0a8">avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion</a> firmwareVersion) <span class="keyword">override</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html">SoftwareInfoSender</a>(</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info.html#af7c2b6a74bbdcaa7ff513eb8586ad0a8">avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion</a> firmwareVersion,</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keywordtype">bool</span> sendSoftwareInfoUponConnect,</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SoftwareInfoSenderObserverInterface&gt; observer,</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::AVSConnectionManagerInterface&gt; connection,</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">void</span> removeDirective(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info.html#af7c2b6a74bbdcaa7ff513eb8586ad0a8">avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion</a> m_firmwareVersion;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordtype">bool</span> m_sendSoftwareInfoUponConnect;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::SoftwareInfoSenderObserverInterface&gt; m_observer;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::AVSConnectionManagerInterface&gt; m_connection;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; m_messageSender;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; m_exceptionEncounteredSender;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    std::mutex m_mutex;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a> m_connectionStatus;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    std::shared_ptr&lt;capabilityAgents::system::SoftwareInfoSendRequest&gt; m_clientInitiatedSendRequest;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    std::shared_ptr&lt;capabilityAgents::system::SoftwareInfoSendRequest&gt; m_handleDirectiveSendRequest;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;};</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;}  <span class="comment">// namespace system</span></div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SYSTEM_INCLUDE_SYSTEM_SOFTWAREINFOSENDER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></div><div class="ttdef"><b>Definition:</b> CapabilityAgent.h:47</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_aec54cdb601e5f93a516400d99663d11e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason</a></div><div class="ttdeci">ChangedReason</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:47</div></div>
<div class="ttc" id="_capability_agent_8h_html"><div class="ttname"><a href="_capability_agent_8h.html">CapabilityAgent.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_aeae3f6381f10e7dacca9e5190d3b2850"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#aeae3f6381f10e7dacca9e5190d3b2850">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::handleDirectiveImmediately</a></div><div class="ttdeci">void handleDirectiveImmediately(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive) override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:150</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_a2544e548ecdc780837d71b39080ac247"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a2544e548ecdc780837d71b39080ac247">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::getConfiguration</a></div><div class="ttdeci">avsCommon::avs::DirectiveHandlerConfiguration getConfiguration() const override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:142</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_ad4ce9189b8b155a6223a7e6b673ffa80"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#ad4ce9189b8b155a6223a7e6b673ffa80">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::create</a></div><div class="ttdeci">static std::shared_ptr&lt; SoftwareInfoSender &gt; create(avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion firmwareVersion, bool sendSoftwareInfoUponConnect, std::shared_ptr&lt; avsCommon::sdkInterfaces::SoftwareInfoSenderObserverInterface &gt; observer, std::shared_ptr&lt; avsCommon::sdkInterfaces::AVSConnectionManagerInterface &gt; connection, std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageSenderInterface &gt; messageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface &gt; exceptionEncounteredSender)</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:51</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:28</div></div>
<div class="ttc" id="_a_v_s_connection_manager_interface_8h_html"><div class="ttname"><a href="_a_v_s_connection_manager_interface_8h.html">AVSConnectionManagerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a2c1f3500cf37d70ffd6c1067f9c7f921"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">alexaClientSDK::avsCommon::avs::DirectiveHandlerConfiguration</a></div><div class="ttdeci">std::unordered_map&lt; NamespaceAndName, BlockingPolicy &gt; DirectiveHandlerConfiguration</div><div class="ttdef"><b>Definition:</b> DirectiveHandlerConfiguration.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_ab5918e26df0be0bbd7ebb5d93312dfaf"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#ab5918e26df0be0bbd7ebb5d93312dfaf">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::setFirmwareVersion</a></div><div class="ttdeci">bool setFirmwareVersion(avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion firmwareVersion)</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:88</div></div>
<div class="ttc" id="_message_sender_interface_8h_html"><div class="ttname"><a href="_message_sender_interface_8h.html">MessageSenderInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_a6f3994b9347db8ac4d53128acb61b89c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a6f3994b9347db8ac4d53128acb61b89c">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::cancelDirective</a></div><div class="ttdeci">void cancelDirective(std::shared_ptr&lt; avsCommon::avs::CapabilityAgent::DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:216</div></div>
<div class="ttc" id="_a_v_s_connection_manager_8h_html"><div class="ttname"><a href="_a_v_s_connection_manager_8h.html">AVSConnectionManager.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_a74dedf9cf175c33648e8afa48d802b61"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a74dedf9cf175c33648e8afa48d802b61">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::onFirmwareVersionAccepted</a></div><div class="ttdeci">void onFirmwareVersionAccepted(avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion firmwareVersion) override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:316</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_a06b29cb529cf8a4f333b4561e381399f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a06b29cb529cf8a4f333b4561e381399f">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::handleDirective</a></div><div class="ttdeci">void handleDirective(std::shared_ptr&lt; avsCommon::avs::CapabilityAgent::DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:158</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_a03f59237a5112d5e2eb6b221362fc351"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a03f59237a5112d5e2eb6b221362fc351">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::doShutdown</a></div><div class="ttdeci">void doShutdown() override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:276</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_a50a8ae824fa12aff4e53e372bc2b1076"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a50a8ae824fa12aff4e53e372bc2b1076">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::preHandleDirective</a></div><div class="ttdeci">void preHandleDirective(std::shared_ptr&lt; avsCommon::avs::CapabilityAgent::DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:154</div></div>
<div class="ttc" id="_software_info_sender_observer_interface_8h_html"><div class="ttname"><a href="_software_info_sender_observer_interface_8h.html">SoftwareInfoSenderObserverInterface.h</a></div></div>
<div class="ttc" id="_exception_encountered_sender_interface_8h_html"><div class="ttname"><a href="_exception_encountered_sender_interface_8h.html">ExceptionEncounteredSenderInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info_html_af7c2b6a74bbdcaa7ff513eb8586ad0a8"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1software_info.html#af7c2b6a74bbdcaa7ff513eb8586ad0a8">alexaClientSDK::avsCommon::sdkInterfaces::softwareInfo::FirmwareVersion</a></div><div class="ttdeci">int32_t FirmwareVersion</div><div class="ttdoc">Type to use to communicate a firmware version. </div><div class="ttdef"><b>Definition:</b> SoftwareInfoSenderObserverInterface.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender</a></div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.h:44</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender_html_a309766ef76a83740702505fd5c5e1200"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a309766ef76a83740702505fd5c5e1200">alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::onConnectionStatusChanged</a></div><div class="ttdeci">void onConnectionStatusChanged(avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status status, avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason reason) override</div><div class="ttdef"><b>Definition:</b> SoftwareInfoSender.cpp:240</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_a2e6b08990caa9d1911b01d51d92806b4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a></div><div class="ttdeci">Status</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_software_info_sender_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_software_info_sender_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SoftwareInfoSenderObserverInterface</a></div><div class="ttdef"><b>Definition:</b> SoftwareInfoSenderObserverInterface.h:51</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
